Bug 32988 - не запускается
: не запускается
Status: CLOSED FIXED
: Branch p8
(All bugs in Branch p8/caffeine-ng)
: не указана
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2017-01-11 20:08 by
Modified: 2017-01-21 06:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2017-01-11 20:08:36
Сейчас при обновлении системы  (p8) пакет Caffeine заменяется на Caffeine-ng.
Как им пользоваться? Из меню программ не запускается, в терминале выдает такое:
$ caffeine
Traceback (most recent call last):
  File "/usr/lib/python3/site-packages/pkg_resources/__init__.py", line 651, in
_build_master
    ws.require(__requires__)
  File "/usr/lib/python3/site-packages/pkg_resources/__init__.py", line 952, in
require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3/site-packages/pkg_resources/__init__.py", line 844, in
resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (docopt 0.6.1
(/usr/lib/python3/site-packages), Requirement.parse('docopt>=0.6.2'),
{'caffeine-ng'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/caffeine", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3/site-packages/pkg_resources/__init__.py", line 3084,
in <module>
    @_call_aside
  File "/usr/lib/python3/site-packages/pkg_resources/__init__.py", line 3070,
in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3/site-packages/pkg_resources/__init__.py", line 3097,
in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3/site-packages/pkg_resources/__init__.py", line 653, in
_build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3/site-packages/pkg_resources/__init__.py", line 666, in
_build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3/site-packages/pkg_resources/__init__.py", line 839, in
resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'docopt>=0.6.2' distribution was not
found and is required by caffeine-ng
------- Comment #1 From 2017-01-12 02:20:33 -------
Воспроизводится.
p8 x64 KDE5
------- Comment #2 From 2017-01-12 06:59:17 -------
Прошу прощения. Когда делал бэкпорт, забыл скопировать python-module-docopt в
p8 из Сизифа. Для работы caffeine-ng нужно установить python3-module-docopt из
Сизифа.
Пока задание не заапрувили, можно сделать:
apt-repo test 176194 python3-module-docopt
------- Comment #3 From 2017-01-12 22:46:17 -------
# apt-repo test 176194 python3-module-docopt
Пропущено http://git.altlinux.org repo/176194/x86_64 release
Получено: 1 http://altlinuxclub.ru x86_64 release [426B]                  
Получено: 2 http://ftp.altlinux.org p8/branch/x86_64 release [897B]           
Получено: 3 http://ftp.altlinux.org p8/branch/noarch release [691B]
Получено: 4 http://ftp.altlinux.org p8/branch/x86_64-i586 release [555B]
Получено 2569B за 0s (3579B/s).            
Ошибка http://git.altlinux.org repo/176194/x86_64/task pkglist
  404 Not Found
Найдено http://altlinuxclub.ru x86_64/hasher pkglist
Пропущено http://git.altlinux.org repo/176194/x86_64/task release              
Найдено http://altlinuxclub.ru x86_64/hasher release                           
Найдено http://ftp.altlinux.org p8/branch/x86_64/classic pkglist          
Найдено http://ftp.altlinux.org p8/branch/x86_64/classic release
Найдено http://ftp.altlinux.org p8/branch/noarch/classic pkglist
Найдено http://ftp.altlinux.org p8/branch/noarch/classic release
Найдено http://ftp.altlinux.org p8/branch/x86_64-i586/classic pkglist
Найдено http://ftp.altlinux.org p8/branch/x86_64-i586/classic release
Невозможно получить
http://git.altlinux.org/repo/176194/x86_64/base/pkglist.task  404 Not Found
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
E: Некоторые индексные файлы не удалось скачать, они либо были проигнорированы,
либо вместо них были использованы старые версии.
Error: The "update" command has not completed successfully at /usr/bin/apt-repo
line 545.
Чтение списков пакетов... Завершено
Построение дерева зависимостей... Завершено
Последняя версия python3-module-docopt уже установлена.
0 будет обновлено, 0 новых установлено, 0 пакетов будет удалено и 0 не будет
обновлено.
------- Comment #4 From 2017-01-12 22:53:06 -------
я утром apt-repo test делал, все заработало.
------- Comment #5 From 2017-01-13 06:21:15 -------
python3-module-docopt уже в Сизифе. Теперь нормально запускается?
Кстати, имейте в виду, что в caffeine-ng запускаться автоматом будет
caffeine.desktop. Если вдруг ручками правили в автозапуске на
caffeine-indicator, нужно обратно исправить на caffeine.
------- Comment #6 From 2017-01-13 06:22:09 -------
(In reply to comment #5)
> python3-module-docopt уже в Сизифе. 

В p8, конечно же.
------- Comment #7 From 2017-01-21 06:37:45 -------
Закрываю раз всё в порядке.